# Ds\Pair::toArray

(PECL ds >= 1.0.0)

Ds\Pair::toArray — Converts the pair to an array

### Description

public Ds\Pair::toArray ( void ) : array

Converts the pair to an array.

> Note:

> Casting to an array is not supported yet.

### Parameters

This function has no parameters.

### Return Values

An array containing all the values in the same order as the pair.

### Examples

Example #1 Ds\Pair::toArray() example

`<?php
$pair = new \Ds\Pair("a", 1);
var_dump($pair->toArray());
?>`

The above example will output something similar to:

    array(2) {
      ["key"]=>
      string(1) "a"
      ["value"]=>
      int(1)
    }